Subject: Offline Message from Maha: I haven’t received my shipment # 100133851 !! It
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Fri, 12 Jun 2020 11:33:18 -0000

From: Maha <[email-masked]>
Phone: 
Location: Riyadh, Saudi Arabia
URL: https://saudi.mumzworld.com/sa-en/trackhistory/track/shipmenttrack/id/MnhRSzUrMjc2VGZnYTBXajBUUGFpUT09/key/2/
Department: 

I haven’t received my shipment # 100133851 !! 
It shows in the tracking that it was delivered!! 

How did this happen ? 

I’m really disappointed from you and your way to handle this issue !! I have been waiting for this shipment for 2 months now ! I sent many emails and customer care chat !! 

Waiting for reply ! 

----
Zopim
https://www.zopim.com